curl --request GET \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/products/123e4567-e89b-12d3-a456-426614174000' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Premium Widget",
"tax_code": "P0000000",
"sku": "WIDGET-001",
"description": "A premium quality widget",
"corporation_id": "550e8400-e29b-41d4-a716-446655440000",
"source_platform_id": "shopify-123",
"source_platform": "SHOPIFY",
"customs_jurisdiction_details": {
"US": "8471.30.0100"
},
"created_at": 1704067200
},
"message": "Successfully fetched product."
}
curl --request GET \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/products/123e4567-e89b-12d3-a456-426614174000' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Premium Widget",
"tax_code": "P0000000",
"sku": "WIDGET-001",
"description": "A premium quality widget",
"corporation_id": "550e8400-e29b-41d4-a716-446655440000",
"source_platform_id": "shopify-123",
"source_platform": "SHOPIFY",
"customs_jurisdiction_details": {
"US": "8471.30.0100"
},
"created_at": 1704067200
},
"message": "Successfully fetched product."
}
curl --request GET \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/products/123e4567-e89b-12d3-a456-426614174000' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Premium Widget",
"tax_code": "P0000000",
"sku": "WIDGET-001",
"description": "A premium quality widget",
"corporation_id": "550e8400-e29b-41d4-a716-446655440000",
"source_platform_id": "shopify-123",
"source_platform": "SHOPIFY",
"customs_jurisdiction_details": {
"US": "8471.30.0100"
},
"created_at": 1704067200
},
"message": "Successfully fetched product."
}
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier for a corporation to filter the products by.
Cursor for pagination
Number of items to return per page
1 <= x <= 100